import math

def load(list):
    print "Loading AI bindings"

    # binding format:
    # ( 'name of robot from .bot file', 'name of AI from script class',
    #       {'optional constructor parameter':value, 'another':value} )

    # constructor parameters:
    # nose - "front" of bot in radians (default 0)
    # invertible - can function upside-down (default False)
    # topspeed - speed in meters/second AI will attempt not to exceed (default 4.0)
    # throttle - maximum analog value AI will attempt not to exceed (default 100)
    # turnspeed - turning in radians/second AI will attempt not to exceed (default 2.5)
    # turn - maximum analog value AI will attempt not to exceed (default 60)
    # radius - bot radius to use for checking for hazards and walls (default 1.0)

    # Extreme Build Rules
    list.append(("Breaking Point 3.0 MK II","Spinner",{'nose':math.pi*2,'range':500,'radius':0.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(2,)}))
    list.append(("Silver","Flipper",{'nose':math.pi*2,'range':99,'radius':0.1,'topspeed':130,'throttle':130,'turn':60,'turnspeed':4.5,'weapons':(10,)}))
    list.append(("satisfactory 2 without spikes","Spinner",{'nose':math.pi*2,'invertible':True,'range':500,'radius':0.4,'topspeed':85,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(2,)}))
    list.append(("Quaffine","Omni",{'invertible':True,'nose':math.pi*2,'radius':0.2,'topspeed':150,'throttle':130,'turn':60,'turnspeed':6,'weapons':(10,11,12,13,14,15,16,17,18,19)}))
    list.append(("A Bot That Spins","Spinner",{'nose':math.pi*0.5,'range':500,'radius':0.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(2,)}))
    list.append(("Hector II","Flipper",{'nose':math.pi*1,'range':99,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(10,)}))
    list.append(("Kuro Hakai 11","InvertOmni2",{'invertible':True,'tactic':"Charge",'ThresholdSpeed':0.1,'BackUpTime':4,'MotorID':15,'nose':math.pi*2.01,'radius':0.8,'range':500,'topspeed':100,'throttle':130,'turn':45,'turnspeed':2.8,'weapons':(16,)}))
    list.append(("Kinzoku VII","Omni",{'invertible':True,'nose':math.pi*2,'tactic':"Charge",'ThresholdSpeed':0.2,'range':99,'radius':1.1,'topspeed':100,'throttle':130,'turn':50,'turnspeed':3,'weapons':(28,29)}))
    list.append(("Baby Got Beak EBR","Swarf",{'invertible':False,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(25,)}))
    list.append(("Roka 3S","Drum",{'invertible':True,'nose':math.pi*2,'range':99,'radius':0.1,'topspeed':1000,'throttle':100,'turn':90,'turnspeed':2,'weapons': (1,)}))
    list.append(("123 (IRL Fit)","Omni",{'nose':math.pi*1,'range':500,'radius':0.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(2,)}))
    list.append(("Naga 1.5","Flipper",{'nose':math.pi*1,'range':99,'radius':0.1,'topspeed':90,'throttle':130,'turn':60,'turnspeed':4.5,'weapons':(10,)}))
    list.append(("Lacrima","Omni",{'nose':math.pi*2,'invertible':True,'range':99,'radius':0.1,'topspeed':1000,'throttle':1000,'turn':50,'turnspeed':4,'weapons': ( 12, 13, 14, 15 )}))
    list.append(("Lord Desert Scarab","Flipper",{'nose':math.pi*1,'radius':0.1,'range':99,'topspeed':1000,'throttle':1030,'turn':60,'turnspeed':3.5,'weapons':(12,)}))
    list.append(("Orby III","Spinner",{'nose':math.pi*2,'range':500,'radius':0.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(2,)}))
    list.append(("Outlandish Otter","Spinner",{'nose':math.pi*2,'invertible':True,'range':500,'radius':0.4,'topspeed':110,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(2,)}))
    list.append(("Mayor Marikina (Koi)","Flipper",{'nose':math.pi*2,'range':99,'radius':0.1,'topspeed':130,'throttle':130,'turn':60,'turnspeed':3,'weapons':(18,19)}))
    list.append(("Not  Opener","Omni",{'nose':math.pi*0.5,'invertible':True,'range':99,'radius':1,'topspeed':100,'throttle':130,'turn':100,'turnspeed':1,'weapons':(5,7)}))
    list.append(("Fat Albert","Spinner",{'nose':math.pi*2,'range':500,'radius':0.4,'topspeed':50,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(2,)}))
    list.append(("fallen","Rammer",{'invertible':True,'nose':math.pi*1,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5}))
    list.append(("Continental Catastrophe","Spinner",{'nose':math.pi*1,'range':500,'radius':0.4,'topspeed':80,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(2,)}))
    list.append(("The Very Hungry Caterpillar","Rammer",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':40,'throttle':130,'turn':60,'turnspeed':2.5}))
    list.append(("Killer queen 2","Spinner",{'nose':math.pi*0.5,'range':500,'radius':0.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(2,)}))
    list.append(("Touka-chan 1.3.","Flipper",{'nose':math.pi*2,'range':99,'radius':0.1,'topspeed':120,'throttle':130,'turn':60,'turnspeed':3,'weapons':(18,19)}))
    list.append(("CLOWN C4R","Omni",{'nose':math.pi*1,'invertible':False,'range':99,'radius':1,'topspeed':150,'throttle':130,'turn':100,'turnspeed':1,'weapons':(5,7)}))
    list.append(("Cujo EVO 3","Omni",{'nose':math.pi*1,'invertible':False,'range':99,'radius':1,'topspeed':130,'throttle':130,'turn':100,'turnspeed':1,'weapons':(5,7)}))
    list.append(("Buttered Popcorn","Flipper",{'nose':math.pi*2,'range':99,'radius':0.1,'topspeed':130,'throttle':130,'turn':60,'turnspeed':3,'weapons':(18,19)}))
    list.append(("Caffeine Machine","Rammer",{'invertible':True,'nose':math.pi*1.5,'radius':0.1,'topspeed':130,'throttle':130,'turn':60,'turnspeed':2.5}))
    list.append(("Babaulti 7","Omni",{'nose':math.pi*1,'range':500,'radius':0.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(2,)}))
    list.append(("Notmatode","Omni",{'nose':math.pi*1,'invertible':False,'range':99,'radius':1,'topspeed':100,'throttle':130,'turn':100,'turnspeed':1,'weapons':(5,7)}))
    list.append(("Checkmate","Spinner",{'nose':math.pi*2,'invertible':True,'range':500,'radius':0.4,'topspeed':130,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(2,)}))
    list.append(("Eco-Unfriendlier","Flipper",{'nose':math.pi*1,'invertible':False,'range':99,'radius':1,'topspeed':150,'throttle':130,'turn':100,'turnspeed':1,'weapons':(5,7)}))
    list.append(("Constrictor (Crusher)","Omni",{'nose':math.pi*2,'invertible':False,'range':99,'radius':1,'topspeed':130,'throttle':130,'turn':100,'turnspeed':1,'weapons':(5,7)}))
    list.append(("Constrictor (Lifter)","Flipper",{'nose':math.pi*2,'range':99,'radius':0.1,'topspeed':130,'throttle':130,'turn':60,'turnspeed':3,'weapons':(18,19)}))
    list.append(("Scorpio ","Swarf",{'invertible':False,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(25,)}))
    list.append(("Navigation","Omni",{'nose':math.pi*1,'invertible':False,'range':99,'radius':1,'topspeed':100,'throttle':130,'turn':100,'turnspeed':1,'weapons':(5,7)}))
    list.append(("Night Fiend","Spinner",{'nose':math.pi*1,'invertible':False,'range':99,'radius':1,'topspeed':95,'throttle':100,'turn':60,'turnspeed':3,'weapons':(6,9,10,11,12)}))
    list.append(("Naga Segment (Minibot)","Rammer",{'invertible':False,'nose':math.pi*1,'radius':0.1,'topspeed':130,'throttle':130,'turn':60,'turnspeed':2.5}))
    list.append(("Oyster","Rammer",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':150,'throttle':130,'turn':60,'turnspeed':2.5}))
    
    # War of the Weapons
    list.append(("Checkmat3","Spinner",{'nose':math.pi*2,'invertible':True,'radius':0.1,'range':999,'topspeed':200,'throttle':260,'turn':60,'turnspeed':3,'weapons':(29,30,31,32,33,34)}))
    list.append(("LDB","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':1.5,'weapons':(15,16,24)}))
    list.append(("Technikiller Dreambot","Omni",{'invertible':True,'nose':math.pi*2,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(5,6,7,8)}))
    list.append(("Wartread WotW","Omni",{'nose':math.pi*2,'range':100,'radius':1,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2.5,'weapons':(26,27,28)}))
    list.append(("Eco-Unfri3ndly","Flipper2",{'invertible':True,'nose':math.pi,'range':99,'radius':0.1,'topspeed':200,'throttle':260,'turn':100,'turnspeed':4,'weapons':(1,)}))
    list.append(("Silverback","Flipper",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(8,9)}))
    list.append(("Touka Chan 2.0","Judge",{'MotorID':34,'nose':math.pi,'invertible':True,'StartAngle':-math.pi/2,'reload':5,'tactic':"PUSH",'range':99,'SightRange':200,'radius':1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Turbocharger","Omni",{'invertible':False,'nose':math.pi*2,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Photon","Judge",{'beta':-64000,'MotorID':1,'nose':math.pi,'reload':5,'radius':1,'topspeed':200,'throttle':200,'turn':90,'turnspeed':2.1,'weapons':(3,)}))
    list.append(("Piercing Stare","Omni",{'nose':math.pi*1,'radius':1,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3,'weapons':(31,)}))
    list.append(("Swedish pagan","Swarf",{'nose':math.pi*1,'radius':1,'invertible':True,'topspeed':200,'throttle':200,'turn':40,'turnspeed':3.5,'weapons':(5,)}))
    list.append(("Bullbot","Omni",{'nose':math.pi*1,'invertible':True,'radius':1,'topspeed':1000,'throttle':1300,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Cold Winter Night","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':1.5,'weapons':(15,16,24)}))
    list.append(("Ghost Divison","Rammer",{'invertible':True,'tactic':"PUSH",'nose':math.pi*1.5,'radius':0.1,'topspeed':85,'throttle':130,'turn':60,'turnspeed':2}))
    list.append(("Treaded Missile","Rammer",{'invertible':True,'nose':math.pi*2,'radius':1,'topspeed':200,'throttle':200,'turn':60,'turnspeed':4,'weapons':(32,)}))
    list.append(("Beat-le","Omni",{'nose':math.pi*2,'radius':1,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(29,30)}))
    list.append(("Omega Chompy","Swarf",{'reload':5,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2,'AimError':0.1,'weapons':(46,47,48,49,50)}))
    list.append(("Outgunned","LaserGuidedTH",{'nose':math.pi*1.5,'radius':1,'servorange':4,'servonose':1,'delta':0.75,'servospeed':100,'topspeed':100,'mayFire':True,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Bloodshot","Spinner",{'nose':math.pi*2,'radius':0.2,'range':100,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2,'weapons':(1,)}))
    list.append(("RedWarning","Spinner",{'nose':math.pi*1,'radius':1,'range':100,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3,'weapons':(14,15)}))
    list.append(("Rest In Pieces ac3","Omni",{'nose':math.pi*1,'invertible':False,'range':99,'radius':4,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Spongebot Steelpants(forks)","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':130,'turn':75,'turnspeed':1.9,'weapons':(1,2,)}))
    list.append(("Spongebot Steelpants(wedge)","Omni",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':130,'turn':75,'turnspeed':1.9,'weapons':(1,2,)}))
    list.append(("Trippy Dippy 2","Judge",{'SightRange':2,'reload':8,'MotorID':1,'StartAngle':math.pi*0.6,'radius':0.1,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(7,)}))
    list.append(("Satisfactory 4","SwitchDirRam",{'nose':math.pi*2,'invertible':True,'radius':1,'range':100,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3,'weapons':(44,49,50,51,52),'sweapons':(75,76,77,78,79,85,86,87,88)}))
    list.append(("Circuit Breaker","Judge",{'nose':math.pi*1,'radius':1,'MotorID':11,'StartAngle':math.pi*0.5,'topspeed':200,'throttle':200,'turn':20,'turnspeed':3.5,'weapons':(71,72,73)}))
    list.append(("Slem 2","Omni",{'nose':math.pi*1,'range':99,'radius':1,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3,'weapons':(29,)}))
    list.append(("Slam 2","Omni",{'nose':math.pi*1,'range':99,'radius':1,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3,'weapons':(75,)}))
    
    # Sakura Sunrise
    list.append(("Ice Pick","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':4,'weapons':(46,)}))
    list.append(("E-17","LaserGuidedTH",{'nose':math.pi*1,'ServoID':6,'invertible':False,'range':50,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':2.5,'weapons':(30,)}))
    list.append(("Infestation (red)","Omni",{'nose':math.pi*1,'invertible':True,'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':2.5,'weapons':(6,7)}))
    list.append(("Infestation (black)","Omni",{'nose':math.pi*1,'invertible':True,'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':2.5,'weapons':(6,7)}))
    list.append(("Thistle 2","Flipper",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(19,33)}))
    list.append(("Deeper Blood","Judge",{'nose':math.pi*1,'MotorID':93,'StartAngle':math.pi*0.5,'radius':0.3,'topspeed':200,'throttle':200,'turn':35,'turnspeed':3,'weapons':(99,120,121,122,123)}))
    list.append(("Ghost Division","TopPusher",{'invertible':True,'tactic':"Ram",'nose':math.pi*1.5,'radius':0.1,'topspeed':75,'throttle':75,'turn':60,'turnspeed':2}))
    list.append(("Battle-Raptor 4","Omni",{'nose':math.pi*0.5,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("War-Raptor","Omni",{'nose':math.pi*0.5,'invertible':False,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Shark Fin Soup","OmniMultiZone",{'nose':math.pi,'range':99,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3.5,'weapons':(13,14,15,16)}))
    list.append(("Blunt Death","Drum",{'invertible':True,'range':500,'radius':1,'topspeed':120,'throttle':120,'turn':90,'turnspeed':2.3,'weapons':(20,21,22,23,24,25)}))
    list.append(("Trippy Dippy 3","Swarf",{'SightRange':2,'reload':10,'MotorID':1,'StartAngle':math.pi*0.6,'radius':0.1,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(13,14,15,16)}))
    list.append(("Sugar Kicks","Omni",{'nose':math.pi,'range':99,'radius':0,'topspeed':1000,'throttle':1000,'turn':100,'turnspeed':4,'weapons':(0,)}))
    list.append(("1:00","Spinner",{'invertible':True,'nose':math.pi*1,'radius':0.2,'range':100,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2.5,'weapons':(1,2,)}))
    list.append(("Bullbot HW","Rammer",{'invertible':True,'nose':math.pi*1,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(29,30)}))
    list.append(("Bite-Sized Black Saw","Omni",{'nose':math.pi,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':3,'weapons':(0,)}))
    list.append(("Rapier III","Omni",{'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3.5,'weapons':(8,9)}))
    list.append(("Astra","Omni",{'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(8,9)}))
    list.append(("Apogee III","Omni",{'radius':0.1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(50,51)}))
    list.append(("Claymore","TopPusher2",{'ThresholdSpeed':0.02,'BackUpTime':4,'radius':0.1,'topspeed':100,'throttle':100,'turn':65,'turnspeed':3,'weapons':(126,127,140,141)}))
    list.append(("Shinobi","Pusher",{'invertible':True,'nose':math.pi*0,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5}))
    list.append(("Ulipse","InvertOmni2",{'invertible':True,'nose':math.pi*0,'range':99,'radius':3,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(77,)}))
    list.append(("Yoshi","Spinner",{'invertible':True,'nose':math.pi*1,'radius':0.2,'range':100,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2.5,'weapons':(1,2,)}))
    list.append(("Displacement","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':300,'throttle':200,'turn':100,'turnspeed':1.9, 'UseSrimech':1, 'weapons':(0,)}))
    list.append(("Ice Cold","Omni",{'invertible':True,'nose':math.pi*1,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Mad Science","Omni",{'invertible':True,'range':99,'radius':1,'topspeed':1500,'throttle':300,'turn':80,'turnspeed':3,'weapons':(0,)}))
    list.append(("An Original VS","Omni",{'invertible':True,'nose':math.pi*2,'range':30,'radius':1,'topspeed':555,'throttle':555,'turn':150,'turnspeed':2,'weapons':(6,7,16,17)}))
    list.append(("Mosa-Rex","Omni",{'nose':math.pi*2,'radius':0.5,'topspeed':150,'throttle':250,'turn':80,'turnspeed':2,'weapons':(16,17,18,)}))
    list.append(("al-Mudamir ","Omni",{'nose':math.pi*2,'invertible':False,'tactic':"Ram",'BackUpTime':5,'range':999,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Flashback","Omni",{'invertible':False,'nose':0,"UseSrimech":1,'reload':6,'range':99,'car':False,'radius':0.1,'topspeed':1000,'throttle':1000,'turn':100,'turnspeed':4,'weapons': ( 0, )}))
    list.append(("Touka-chan","Omni",{'invertible':False,'nose':math.pi*2,"UseSrimech":1,'reload':15,'range':99,'car':False,'radius':0.1,'topspeed':1000,'throttle':1000,'turn':100,'turnspeed':1.9,'weapons': ( 0, )}))
    list.append(("Deadgnaws' Revenge","InvertOmni2",{'nose':math.pi*2,'invertible':False,'range':50,'radius':1,'topspeed':130,'throttle':150,'turn':90,'turnspeed':2.5,'weapons':(37,)}))
    list.append(("Artifical Sweetener","Spinner",{'nose':math.pi*1.5,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(37,38,39,40,41,41,43,44,49,50,51)}))
    list.append(("Balaur Raptor (MW)","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3,'weapons':(97,98,99)}))
    list.append(("Bone eater","Omni",{'nose':math.pi*1,'invertible':True,'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(13,14)}))
    list.append(("Budget Raptor","Spinner",{'nose':math.pi*0.5,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(86,87,88,89,90,91,92)}))
    list.append(("RD","InvertOmni2",{'nose':math.pi*2,'invertible':True,'range':500,'radius':1,'topspeed':120,'throttle':120,'turn':100,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Wartread","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2.5,'weapons':(14,15,26,27,32,33,34)}))
    list.append(("Chophouse Chef","OmniMultiZone",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(33,34)}))
    list.append(("Crusoe And LouLou","Spinner",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':4,'weapons':(90,95,96)}))
    list.append(("Diamond back","Spinner",{'nose':math.pi*1,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':25,'turnspeed':3.5,'weapons':(4,5,6,7,8,9)}))
    list.append(("Hey.","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(58,59)}))
    list.append(("Hydrofluoric Diamond CW","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':4,'weapons':(37,)}))
    list.append(("HydroFluoric Titanium","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':25,'turnspeed':3.5,'weapons':(73,81,82)}))
    list.append(("I just kinda spammed Triangle","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':25,'turnspeed':3.5,'weapons':(72,73,74,75)}))
    list.append(("Jelly","Spinner",{'nose':math.pi*1,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':3,'weapons':(26,)}))
    list.append(("Peanut Butter","Rammer",{'nose':math.pi*1,'invertible':True,'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':2.5}))
    list.append(("Keith","Spinner",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':45,'turnspeed':3.5,'weapons':(62,63,65,66)}))
    list.append(("Kilowatt","Spinner",{'nose':math.pi*1,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':3.5,'weapons':(11,12,13)}))
    list.append(("Malware","SpinupOmni2",{'nose':math.pi*0.5,'invertible':True,'range':100,'MotorID':5,'TargetRPM':106,'JamTime':1.5,'radius':0.3,'topspeed':200,'throttle':200,'turn':45,'turnspeed':3.5,'weapons':(9,10,11,12,13)}))
    list.append(("Mini Scorpo-Raptor","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':4,'weapons':(47,)}))
    list.append(("Neon","Spinner",{'nose':math.pi*1,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':25,'turnspeed':3.5,'weapons':(62,63,64,65,66)}))
    list.append(("Picky","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':4,'weapons':(29,)}))
    list.append(("Princess Sparkles","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':3.5,'weapons':(2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Red Velvet","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':3.5,'weapons':(19,20,21,22)}))
    list.append(("Sharkbite","Spinner",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':25,'turnspeed':3,'weapons':(5,)}))
    list.append(("The Royal Frog Guard","Spinner",{'nose':math.pi*1,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(16, 17, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 85, 86, 87, 88 )}))
    list.append(("Tight Fiscal Policy ","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(38,)}))
    list.append(("Toxicated Emerald","SpinupOmni2",{'nose':math.pi*2,'range':100,'MotorID':11,'TargetRPM':70,'JamTime':1.5,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(14,)}))
    list.append(("Upaa 2 ","SpinupOmni2",{'nose':math.pi*1,'invertible':True,'range':100,'MotorID':5,'TargetRPM':87,'JamTime':1.5,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(7,8,9)}))
    list.append(("Ambellior 2","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':3.5,'weapons':(68,69,84,85,86,87,90,91,92,93,94,95,96,97,98,99)}))
    list.append(("polygon  reloaded","SpinupOmni2",{'nose':math.pi*2,'range':100,'MotorID':67,'TargetRPM':70,'JamTime':1.5,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(68,69,70)}))
    list.append(("robation","Spinner",{'nose':math.pi*1,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(7,8,9,15,16,17,18)}))
    list.append(("Uranium RS","Spinner",{'nose':math.pi*1,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))
    list.append(("Whirlpool","SpinupOmni2",{'nose':math.pi*1.5,'range':100,'MotorID':3,'TargetRPM':100,'JamTime':1.5,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 52, 53, 60, 61, 62, 63, 66, 67 )}))
    list.append(("Wrecks","Spinner",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':45,'turnspeed':3,'weapons':(17,18,19)}))
    list.append(("Eiswulf","Omni",{'nose':math.pi*1,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(105,106,107,108,109,110,111,112,113)}))
    list.append(("Grey Box Testing(CW)","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3,'weapons':(105,106,107,108,109,110,111,112,113,114,115,116,117,118)}))
    list.append(("Sparrow","Spinner",{'nose':math.pi*1,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(2,12,13,14,15,20,21,22,23,24)}))
    list.append(("Sugar Shy","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(15,16,17,30,54,55)}))
    list.append(("Topple Man","Omni",{'nose':math.pi*1,'range':3,'radius':0.3,'topspeed':200,'throttle':200,'turn':25,'turnspeed':3,'weapons':(12,13,14,15)}))
    list.append(("Wandering spirit","SpinupOmni2",{'nose':math.pi*1,'range':100,'MotorID':3,'TargetRPM':123,'JamTime':1.5,'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(19,36,37)}))
    list.append(("Chamomile ","Spinner",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':45,'turnspeed':3.5,'weapons':(82,83,92,93)}))
    list.append(("Willow","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(13,14,19,20)}))
    list.append(("Concussion","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(8,9)}))
    list.append(("Lay 'em Out","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3,'weapons':(41,)}))
    list.append(("Scrapper S2","Omni",{'nose':math.pi*1,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(3,4,5,6,7,8)}))
    list.append(("Scrapper S2(wedge)","Omni",{'nose':math.pi*1,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(3,4,5,6,7,8)}))
    list.append(("Factory Power","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(20,21)}))
    list.append(("Lil Mudamir","SpinupOmni2",{'nose':math.pi*1.5,'range':100,'MotorID':16,'TargetRPM':123,'JamTime':1.5,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3,'weapons':(17,18,19,20,21)}))
    list.append(("Method","Spinner",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(46,47,48,49,50,51,52,53,74,75,76,77,78,79,80,81)}))
    list.append(("Microburst","Spinner",{'nose':math.pi*1,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(7,71,72,73,74,75,76,77,78,79,80,81,82)}))
    list.append(("Mini Mudamir","SpinupOmni2",{'nose':math.pi*1.5,'range':100,'MotorID':26,'TargetRPM':107,'JamTime':1.5,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(33,34,35)}))
    list.append(("Voyager","Spinner",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(44,)}))
    list.append(("Alien 2","Rammer",{'nose':math.pi*2,'invertible':True,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':4}))
    list.append(("Double Helix (Red)","Drum",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3,'weapons':(47,48,49,50,81,82,83,84)}))
    list.append(("Sumire","SpinupOmni2",{'nose':math.pi*1,'range':100,'MotorID':137,'TargetRPM':100,'JamTime':1.5,'radius':0.3,'topspeed':200,'throttle':200,'turn':25,'turnspeed':3.5,'weapons':(138,139,140,141,142,143,144)}))
    list.append(("WDRFP Renegade","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':35,'turnspeed':3.5,'weapons':(41,42)}))